Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • dl/lib/dl/import.rb

Parent

DL::CompositeHandler

Public Class Methods

new(handlers) click to toggle source
 
               # File dl/lib/dl/import.rb, line 8
def initialize(handlers)
  @handlers = handlers
end
            

Public Instance Methods

[](symbol) click to toggle source
 
               # File dl/lib/dl/import.rb, line 29
def [](symbol)
  sym(symbol)
end
            
handlers() click to toggle source
 
               # File dl/lib/dl/import.rb, line 12
def handlers()
  @handlers
end
            
sym(symbol) click to toggle source
 
               # File dl/lib/dl/import.rb, line 16
def sym(symbol)
  @handlers.each{|handle|
    if( handle )
      begin
        addr = handle.sym(symbol)
        return addr
      rescue DLError
      end
    end
  }
  return nil
end